Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader	(revision 2499)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/ordinary.s3d_shader	(revision 2503)
@@ -3106,4 +3646,269 @@
                 env "shaderenv"
                 methods "main_method"
+                rank -90000
+                max_ext 128
+                max_recursion 1
+                ext_dist_scale 20.0
+                proj_neg_z 0.1
+                proj_pos_z 100.0
+                enum_trigger "gtp_distance_impostor_trigger"
+                destprop_antialias 0
+                mesh_var "mesh"
+                update_interval 1
+                update_all_face 1
+                start_frame 1
+                last_center_var "lastCenter"
+                world_space 1
+                dest_array
+                {
+                    from_var "dist"
+                    to_var "dist"
+                    texprop_restrusage 0
+                    texprop_depth 0
+                    texprop_comp 1
+                    texprop_float 1
+                    samplermode_filter 0
+                    samplermode_clamp 1
+                }
+            }
+        }
+        {
+            ident "gtp_shader.worldmat"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                worldmat_var "worldMat"
+            }
+        }
+        {
+            ident "gtp_shader.worldmat"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                worldmat_var "worldMatIT"
+                inverse 1
+                transpose 1
+            }
+        }
+        {
+            ident "eng_shader_std.constvec"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                val_var "Fresnel"
+                val 0.9 0.92 0.92 1.0
+            }
+        }
+        {
+            ident "eng_shader_std.paintmesh"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                rank 12000
+                insp_ident "insp_shader_mesh"
+                cull_mode "back"
+                depth_test "less_equal"
+                depth_write 0
+                mesh_var "mesh"
+                texchan_var_array "envmap0" "dist"
+                tex_attr_var_array "attr0"
+                attrmat_var_array ""
+                use_vertex_bone_wgh 1
+                use_vertex_bone_subscr 1
+                use_vertex_point 1
+                use_vertex_normal 1
+                use_vertex_coloralpha 0
+                shaderprog_ident
+                    "levelutil/shader/prog/gtp_envmap_metal.s3d_shaderprog_run"
+                shaderprog_param_array
+                {
+                    src_var "lastCenter"
+                    dest_progvar "lastCenter"
+                }
+                {
+                    src_var "worldMat"
+                    dest_progvar "worldMat"
+                }
+                {
+                    src_var "worldMatIT"
+                    dest_progvar "worldMatIT"
+                }
+                {
+                    src_var "Fresnel"
+                    dest_progvar "Fresnel"
+                }
+            }
+        }
+        {
+            ident "eng_shader_std.paintmesh"
+            param
+            {
+                env "shaderenv"
+                methods "gtp_distance_impostor_method"
+                rank 12000
+                insp_ident "insp_shader_mesh"
+                cull_mode "back"
+                depth_test "less_equal"
+                depth_write 1
+                mesh_var "mesh"
+                texchan_var_array
+                tex_attr_var_array "attr0"
+                attrmat_var_array ""
+                use_vertex_bone_wgh 1
+                use_vertex_bone_subscr 1
+                use_vertex_point 1
+                color 1.0 1.0 1.0
+                shaderprog_ident
+                    "levelutil/shader/prog/gtp_distance_impostor.s3d_shaderpro"
+                    & "g_run"
+                shaderprog_param_array
+            }
+        }
+    }
+}
+{
+    name "caustic_caster"
+    ident "eng_shader_std.group"
+    param
+    {
+        env "shaderenv"
+        init_method "init_method"
+        child_array
+        {
+            ident "eng_shader_std.modelmesh"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                mesh_var "mesh"
+                texchan_var_array
+                tex_attr_var_array
+                usage "render"
+                tangentu_attr_var
+                tangentv_attr_var
+            }
+        }
+        {
+            ident "eng_shader_std.meshenter"
+            param
+            {
+                env "shaderenv"
+                mesh_var_array "mesh"
+                insp_ident "insp_shader_bound"
+                insp_rank 80000
+                insp_color 1.0 0.0 0.0
+                enter_array
+                {
+                    triggers "main_trigger" "mirror_trigger"
+                    method "main_method"
+                }
+                {
+                    triggers "gtp_distance_impostor_trigger"
+                    method "gtp_distance_impostor_method"
+                }
+                {
+                    triggers "caustic_cast_trigger"
+                    method "caustic_cast_method"
+                    param_array
+                    {
+                        src_extvar "ext_light_cenrange"
+                        dest_var "light_cenrange"
+                    }
+                    {
+                        src_extvar "recievers"
+                        dest_var "recievers"
+                    }
+                }
+            }
+        }
+        {
+            ident "eng_shader_std.constvec"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                val_var "lastCenter"
+                val 0.0 0.0 0.0 1.0
+            }
+        }
+        {
+            ident "gtp_shader.createtex"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                texchan_var "envmap0"
+                width 128
+                height 128
+                texprop_rendertarget 1
+                texprop_cube 1
+                texprop_float 0
+                texprop_comp 4
+                texprop_bitspercomp 8
+                samplermode_clamp 0
+                samplermode_filter 1
+            }
+        }
+        {
+            ident "gtp_shader.envmap"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                rank -89500
+                max_ext 256
+                max_recursion 2
+                ext_dist_scale 20.0
+                proj_neg_z 0.1
+                proj_pos_z 100.0
+                enum_trigger "mirror_trigger"
+                destprop_antialias 0
+                mesh_var "mesh"
+                update_interval 6
+                update_all_face 0
+                start_frame 0
+                last_center_var "lastCenter"
+                world_space 1
+                dest_array
+                {
+                    from_var "envmap0"
+                    to_var "envmap0"
+                    texprop_restrusage 0
+                    texprop_depth 0
+                    texprop_comp 3
+                    texprop_float 0
+                    samplermode_filter 0
+                    samplermode_clamp 1
+                }
+            }
+        }
+        {
+            ident "gtp_shader.createtex"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                texchan_var "dist"
+                width 128
+                height 128
+                texprop_rendertarget 1
+                texprop_cube 1
+                texprop_float 1
+                texprop_comp 2
+                texprop_bitspercomp 16
+                samplermode_clamp 0
+                samplermode_filter 1
+            }
+        }
+        {
+            ident "gtp_shader.envmap"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
                 rank -89600
                 max_ext 128
@@ -3224,6 +4029,6 @@
                 texchan_var "cauCubeMap"
                 texprop_cube 1
-                width 32
-                height 32
+                width 128
+                height 128
                 texprop_rendertarget 1
                 texprop_float 1
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/.sconsign
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/.sconsign	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/levelutil/shader/prog/.sconsign	(revision 2503)
@@ -10,5 +10,7 @@
 JÉEeFubUblack.s3d_shaderprogq(hoq}q(h
 JÉEeFh
-JÉEeFubU"gtp_caustic_recieve.s3d_shaderprogq(hoq}q(U	timestampqJÉEeFUcsigqJÉEeFubU(gtp_caustic_cubemap_point.s3d_shaderprogq(hoq}q(hJÉEeFhJÉEeFubU$gtp_distance_impostor.s3d_shaderprogq(hoq
+JÉEeFubU"gtp_caustic_recieve.s3d_shaderprogq(hoq}q(U	timestampqJÉEeFUcsigqJÉEeFubUbloom_smooth.s3d_shaderprogq(hoq}q(h
+JÉEeFh
+JÉEeFubU$gtp_distance_impostor.s3d_shaderprogq(hoq
 }q
 (U	timestampq
@@ -22,7 +24,5 @@
 plain_pointtex.s3d_shaderprogq)(hoq*}q+(h
 JÉEeFh
-JÉEeFubUbloom_smooth.s3d_shaderprogq,(hoq-}q.(h
-JÉEeFh
-JÉEeFubUpartic.s3d_shaderprogq/(hoq0}q1(h
+JÉEeFubU(gtp_caustic_cubemap_point.s3d_shaderprogq,(hoq-}q.(hJÉEeFhJÉEeFubUpartic.s3d_shaderprogq/(hoq0}q1(h
 JÉEeFh
 JÉEeFubUlightfilter.s3d_shaderprogq2(hoq3}q4(h
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/server/actor/.sconsign
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/server/actor/.sconsign	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/server/actor/.sconsign	(revision 2503)
@@ -1,4 +1,4 @@
-}q(Userver.s3d_actorq(cSCons.Node.FS
+}q(Userverlink.s3d_actorq(cSCons.Node.FS
 BuildInfo
-qoq}q(U	timestampqJÊEeFUcsigqJÊEeFubUserverlink.s3d_actorq(hoq	}q
+qoq}q(U	timestampqJÊEeFUcsigqJÊEeFubUserver.s3d_actorq(hoq	}q
 (hJÊEeFhJÊEeFubu.
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/texture/.sconsign
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/texture/.sconsign	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/texture/.sconsign	(revision 2503)
@@ -8,14 +8,14 @@
 (hoq}q(U	timestampqJÕEeFUcsigqJÕEeFubU
 GOLDFOIL.tgaq(hoq}q(U	timestampqJÕEeFUcsigqJÕEeFubU
-dummy1to2.tgaq(hoq}q(hJÕEeFhJÕEeFubU
-firecolor.tgaq(hoq}q
-(U	timestampq
-JÕEeFUcsigq
-JÕEeFubU
-dummy1to1.tgaq(hoq }q!(hJÕEeFhJÕEeFubUlamp.jpgq"(hoq#}q$(h
+dummy1to2.tgaq(hoq}q(hJÕEeFhJÕEeFubUsky_front_clamp.tgaq(hoq}q
+(hJÕEeFhJÕEeFubU
+dummy1to1.tgaq
+(hoq
+}q(hJÕEeFhJÕEeFubUlamp.jpgq (hoq!}q"(h
 J¢ÞµEh
-J¢ÞµEubUpillarbump2.ddsq%(hoq&}q'(U	timestampq(JÕEeFUcsigq)JÕEeFubU
-texnormal.tgaq*(hoq+}q,(hJÕEeFhJÕEeFubUsky_left_clamp.tgaq-(hoq.}q/(hJÕEeFhJÕEeFubUred.tgaq0(hoq1}q2(U	timestampq3J]ÜoFUcsigq4J]ÜoFubU
-dummy2to1.tgaq5(hoq6}q7(hJÕEeFhJÕEeFubUsky_front_clamp.tgaq8(hoq9}q:(hJÕEeFhJÕEeFubUpillarcolor.tgaq;(hoq<}q=(h(JÕEeFh)JÕEeFubUMtlPlat2_Bump.jpgq>(hoq?}q@(U	timestampqAJz8>UcsigqBJz8>ubUsima.tgaqC(hoqD}qE(U	timestampqFJÕEeFUcsigqGJÕEeFubUsky_right_clamp.tgaqH(hoqI}qJ(hJÕEeFhJÕEeFubU
+J¢ÞµEubUpillarbump2.ddsq#(hoq$}q%(U	timestampq&JÕEeFUcsigq'JÕEeFubU
+texnormal.tgaq((hoq)}q*(hJÕEeFhJÕEeFubUsky_left_clamp.tgaq+(hoq,}q-(hJÕEeFhJÕEeFubUred.tgaq.(hoq/}q0(U	timestampq1J]ÜoFUcsigq2J]ÜoFubU
+dummy2to1.tgaq3(hoq4}q5(hJÕEeFhJÕEeFubU
+firecolor.tgaq6(hoq7}q8(U	timestampq9JÕEeFUcsigq:JÕEeFubUpillarcolor.tgaq;(hoq<}q=(h&JÕEeFh'JÕEeFubUMtlPlat2_Bump.jpgq>(hoq?}q@(U	timestampqAJz8>UcsigqBJz8>ubUsima.tgaqC(hoqD}qE(U	timestampqFJÕEeFUcsigqGJÕEeFubUsky_right_clamp.tgaqH(hoqI}qJ(hJÕEeFhJÕEeFubU
 BENEDETI.tgaqK(hoqL}qM(hFJÕEeFhGJÕEeFubU
 laborwall.jpgqN(hoqO}qP(h
@@ -25,7 +25,7 @@
 JÕEeFubU
 dummy4to1.tgaqY(hoqZ}q[(hJÕEeFhJÕEeFubUsky_top_clamp.tgaq\(hoq]}q^(hJÕEeFhJÕEeFubU
-STEELPLT.jpgq_(hoq`}qa(U	timestampqbJz8>UcsigqcJz8>ubU
-particle.tgaqd(hoqe}qf(U	timestampqgJÕEeFUcsigqhJÕEeFubU	green.tgaqi(hoqj}qk(h3JmÜoFh4JmÜoFubUszar.pngql(hoqm}qn(U	timestampqoJÀpmFUcsigqpJÀpmFubU	white.tgaqq(hoqr}qs(h3J'§nFh4J'§nFubU
-steelplt.jpgqt(hoqu}qv(U	timestampqwJz8>UcsigqxJz8>ubU
+particle.tgaq_(hoq`}qa(U	timestampqbJÕEeFUcsigqcJÕEeFubU	green.tgaqd(hoqe}qf(h1JmÜoFh2JmÜoFubUszar.pngqg(hoqh}qi(U	timestampqjJÀpmFUcsigqkJÀpmFubU
+steelplt.jpgql(hoqm}qn(U	timestampqoJz8>UcsigqpJz8>ubU	white.tgaqq(hoqr}qs(h1J'§nFh2J'§nFubU
+STEELPLT.jpgqt(hoqu}qv(U	timestampqwJz8>UcsigqxJz8>ubU
 greenside.tgaqy(hoqz}q{(h
 JÕEeFh
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/shader/world.s3d_shader
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/shader/world.s3d_shader	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/src/res/level/shader/world.s3d_shader	(revision 2503)
@@ -799,3 +799,297 @@
     }
 }
+{
+    name "new_shvol_light_soft_tetra_new"
+    sort "light_softshvol_tetra"
+    ident "eng_shader_std.group"
+    param
+    {
+        env "shaderenv"
+        init_method "init_method"
+        child_array
+        {
+            ident "eng_shader_std.lightparam"
+            param
+            {
+                env "shaderenv"
+                methods "init_method"
+                diffuse 0.419608 0.419608 0.419608
+                specular 0.0 0.0 0.0
+                range 8.3
+                multiplier 0.02
+                diffuse_var "light_diffuse"
+                ambient_var "light_ambient"
+                specular_var "light_specular"
+                cenrange_var "light_cenrange"
+            }
+        }
+        {
+            ident "eng_shader_shvol.lenparam"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                max_abs_len 20.0
+                max_rel_len 20.0
+                shvolparam_var "light_shvolparam"
+            }
+        }
+        {
+            ident "eng_shader_std.constfloat"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                val 0.25
+                val_var "size"
+            }
+        }
+        {
+            ident "eng_shader_std.lightenter"
+            param
+            {
+                env "shaderenv"
+                cenrange_var "light_cenrange"
+                enter_array
+                {
+                    triggers "main_trigger" "mirror_trigger"
+                    method "main_method"
+                }
+            }
+        }
+        {
+            ident "eng_shader_std.lightenum"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                rank -99999
+                cenrange_var "light_cenrange"
+                coll_var "receivers"
+            }
+        }
+        {
+            ident "eng_shader_shvol.combineparam"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                lenparam_var "light_shvolparam"
+                bloat_var "size"
+                bloat_scale 0.5
+                shvolparam_var "light_bloated_shvolparam"
+            }
+        }
+        {
+            ident "eng_shader_shvol.enum"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                rank -99999
+                cenrange_var "light_cenrange"
+                shvolparam_var "light_bloated_shvolparam"
+                coll_var "occluders"
+            }
+        }
+        {
+            ident "eng_shader_std.totex"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                new_method "totex_method"
+                rank -99999
+                size_scale 1.0
+                destprop_antialias 0
+                dest_array
+                {
+                    from_var ""
+                    to_var "light_brighttex"
+                    texprop_restrusage 0
+                    texprop_depth 0
+                    texprop_float 0
+                    texprop_comp 4
+                    texprop_bitspercomp 0
+                    samplermode_filter 0
+                    samplermode_clamp 1
+                }
+                attrmat_var "light_brightmat"
+            }
+        }
+        {
+            ident "eng_shader_std.collexec"
+            param
+            {
+                env "shaderenv"
+                methods "totex_method"
+                coll_var "receivers"
+                rank 99999
+                exec_trigger "gen_brightclear_trigger"
+                exec_param_array
+            }
+        }
+        {
+            ident "eng_shader_special.multilight"
+            param
+            {
+                env "shaderenv"
+                first_methods "totex_method"
+                cenrange_var "light_cenrange"
+                projmat_var ""
+                scale_var "size"
+                sub_rank 99999
+                sub_method "sub_method"
+                sub_cenrange_var "sub_light_cenrange"
+                sub_projmat_var ""
+                sub_bloat_var "sub_light_bloat"
+                sub_intens_var "sub_light_intens"
+                elem_array
+                {
+                    offs -0.5 -0.5 -0.5
+                    bloat 0.0
+                }
+                {
+                    offs 0.5 0.5 -0.5
+                    bloat 0.0
+                }
+                {
+                    offs 0.5 -0.5 0.5
+                    bloat 0.0
+                }
+                {
+                    offs -0.5 0.5 0.5
+                    bloat 0.0
+                }
+            }
+        }
+        {
+            ident "eng_shader_shvol.combineparam"
+            param
+            {
+                env "shaderenv"
+                methods "sub_method"
+                lenparam_var "light_shvolparam"
+                bloat_var "sub_light_bloat"
+                bloat_scale 1.0
+                shvolparam_var "sub_light_shvolparam"
+            }
+        }
+        {
+            ident "eng_shader_shvol.perform"
+            param
+            {
+                env "shaderenv"
+                methods "sub_method"
+                rank 99999
+                coll_var "occluders"
+                mark_trigger "shvol_mark_trigger"
+                mark_param_array
+                {
+                    src_var "sub_light_cenrange"
+                    dest_extvar "ext_light_cenrange"
+                }
+                {
+                    src_var "sub_light_shvolparam"
+                    dest_extvar "ext_light_shvolparam"
+                }
+                paint_method ""
+                unmark_shaderprog_ident
+                    "levelutil/shader/prog/plain_pointcol.s3d_shaderprog_run"
+                unmark_shaderprog_param_array
+                unmark_blend_col_src_fac "one"
+                unmark_blend_col_dest_fac "one"
+                unmark_neg 1
+                unmark_color_var "sub_light_intens"
+                unmark_alpha 0.0
+            }
+        }
+        {
+            ident "eng_shader_std.constvec"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                val 0.5 0.0 0.0 0.0
+                val_var "filterinfo"
+            }
+        }
+        {
+            ident "eng_shader_special.filter"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                rank -99999
+                iter_start 5
+                iter_end 0
+                iter_step -1
+                width_scale 1.0
+                height_scale 1.0
+                destprop_antialias 0
+                passinfo_var "passinfo"
+                src_array "light_brighttex"
+                dest_array
+                {
+                    from_var ""
+                    to_var "light_brighttex"
+                    texprop_restrusage 0
+                    texprop_depth 0
+                    texprop_float 0
+                    texprop_comp 4
+                    texprop_bitspercomp 0
+                    samplermode_filter 0
+                    samplermode_clamp 1
+                }
+                shaderprog_ident
+                    "levelutil/shader/prog/lightfilter.s3d_shaderprog_run"
+                shaderprog_param_array
+                {
+                    src_var "passinfo"
+                    dest_progvar "prog_passinfo"
+                }
+                {
+                    src_var "filterinfo"
+                    dest_progvar "prog_filterinfo"
+                }
+            }
+        }
+        {
+            ident "eng_shader_std.collexec"
+            param
+            {
+                env "shaderenv"
+                methods "main_method"
+                coll_var "receivers"
+                rank 32000
+                exec_trigger "lightbright_trigger"
+                exec_param_array
+                {
+                    src_var "light_cenrange"
+                    dest_extvar "ext_light_cenrange"
+                }
+                {
+                    src_var "light_ambient"
+                    dest_extvar "ext_light_ambient"
+                }
+                {
+                    src_var "light_diffuse"
+                    dest_extvar "ext_light_diffuse"
+                }
+                {
+                    src_var "light_specular"
+                    dest_extvar "ext_light_specular"
+                }
+                {
+                    src_var "light_brighttex"
+                    dest_extvar "ext_light_brighttex"
+                }
+                {
+                    src_var "light_brightmat"
+                    dest_extvar "ext_light_brightmat"
+                }
+            }
+        }
+    }
+}
 $
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/res_targets.lst
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/res_targets.lst	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/res_targets.lst	(revision 2503)
@@ -29,17 +29,17 @@
     "level/texture/dummy4to1.tga" "level/texture/firecolor.tga"
     "level/texture/GOLDFOIL.tga" "level/texture/green.tga"
-    "level/texture/greenside.tga" "level/texture/laborwall.jpg"
-    "level/texture/lamp.jpg" "level/texture/MtlPlat2.jpg"
-    "level/texture/MtlPlat2_Bump.jpg" "level/texture/particle.tga"
-    "level/texture/pillarbump2.dds" "level/texture/pillarbump3.tga"
-    "level/texture/pillarcolor.tga" "level/texture/red.tga"
-    "level/texture/redbackground.tga" "level/texture/redthing.tga"
-    "level/texture/sima.tga" "level/texture/sky_back_clamp.tga"
-    "level/texture/sky_bottom_clamp.tga" "level/texture/sky_front_clamp.tga"
-    "level/texture/sky_left_clamp.tga" "level/texture/sky_right_clamp.tga"
-    "level/texture/sky_top_clamp.tga" "level/texture/steelplt.jpg"
-    "level/texture/szar.png" "level/texture/texdiffuse.tga"
-    "level/texture/texnormal.tga" "level/texture/white.tga"
-    "levelutil/actor/door.s3d_perch_run"
+    "level/texture/greenside.tga" "level/texture/headed.tga"
+    "level/texture/laborwall.jpg" "level/texture/lamp.jpg"
+    "level/texture/MtlPlat2.jpg" "level/texture/MtlPlat2_Bump.jpg"
+    "level/texture/particle.tga" "level/texture/pillarbump2.dds"
+    "level/texture/pillarbump3.tga" "level/texture/pillarcolor.tga"
+    "level/texture/red.tga" "level/texture/redbackground.tga"
+    "level/texture/redthing.tga" "level/texture/sima.tga"
+    "level/texture/sky_back_clamp.tga" "level/texture/sky_bottom_clamp.tga"
+    "level/texture/sky_front_clamp.tga" "level/texture/sky_left_clamp.tga"
+    "level/texture/sky_right_clamp.tga" "level/texture/sky_top_clamp.tga"
+    "level/texture/steelplt.jpg" "level/texture/szar.png"
+    "level/texture/texdiffuse.tga" "level/texture/texnormal.tga"
+    "level/texture/white.tga" "levelutil/actor/door.s3d_perch_run"
     "levelutil/shader/basic.s3d_shader_run"
     "levelutil/shader/comic.s3d_shader_run"
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2499)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/levelutil/actor/door.s3d_perch_lst	(revision 2503)
@@ -1,4 +1,4 @@
                                         # Perch byte-code assembly file:
-                                        # Time stamp: 2007-07-03T09:18:26,446
+                                        # Time stamp: 2007-07-03T11:11:23,312
                                         # Shark 3D (tm) Engine (www.shark3d.com)
                                         # Copyright 1996-2006 Spinor GmbH
